collections:
  - name: "announcement"
    label: "Announcement"
    folder: "src/content/announcements"
    create: true
    slug: "{{year}}-{{month}}-{{day}}-{{slug}}"
    fields:
      - {label: "Title", name: "title", widget: "string"}
      - {label: "Date", name: "date", widget: "datetime"}
      - {label: "Body", name: "body", widget: "markdown"}
      - {label: "Published", name: "published", widget: "boolean"}
      - {label: "Author", name: "author", widget: "string"}
      - {label: "Image", name: "image", widget: "image"}

media_folder: "src/assets/images" # Location where files will be stored in the repo
public_folder: "src/assets/images" # The src attribute for uploaded media

backend:
  name: "git-gateway"
  branch: "main"
  commit_messages:
    create: "Create {{collection}} “{{slug}}”"
    update: "Update {{collection}} “{{slug}}”"
    delete: "Delete {{collection}} “{{slug}}”"
    uploadMedia: "Upload “{{path}}”"
    deleteMedia: "Delete “{{path}}”"